#define MAX_BEATS 20

class BeatCounter {
	
public:
	BeatCounter(int sig);
	~BeatCounter();
	void AddBeat(double time);
	void printDiffs();	
	double getLastDiff();
	double getIQM_BPM();
	double getRA_BPM();
	double getMeasureSecs();
};
